package MyGraphen;

import java.util.ArrayList;

public class Knoten {
	
	int value;
	ArrayList<Kanten> kanten;
	Knoten(int value){
		
		this.value = value;
		kanten = new ArrayList<>();
	}
	
	public void add_Kante(Kanten kante) {
		
		this.kanten.add(kante);
	}

	public void get_partner() {
		ArrayList<Knoten> alle_knoten = new ArrayList<>();
		for (Kanten k : kanten) 
			alle_knoten.add(k.getpartner(this));
		
		System.out.println("Alle Knoten, die  mit 'knote " + this.getValue() + "' Verbunden sind: ");
		for (Knoten knoten:alle_knoten)
			System.out.println("Knote: " +  knoten.getValue());

	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public ArrayList<Kanten> getKanten() {
		return kanten;
	}
	
	
}
